<?php
// Jobs Portal, https://www.netartmedia.net/jobsportal
// A software product of NetArt Media, All Rights Reserved
// Find out more about our products and services on:
// http://www.netartmedia.net
?><?php
if(!defined('IN_SCRIPT')) die("");
?>
 <div class="row">
	<div class="col-lg-3 col-md-6">
		<div class="panel panel-info">
		<div class="panel-heading">
				<div class="row">
					<div class="col-xs-3">
						<span class="icon s7-copy-file" style="font-size:64px"></span> 
						
					</div>
					
					<div class="col-xs-9 text-right">
						<div class="huge"><?php echo $database->SQLCount("pages","");?></div>
						<div><?php echo $M_SITE_PAGES;?></div>
					</div>
				</div>
			</div>
			<a href="<?php echo CreateLink("site_management","pages_pro");?>">
			
				<div class="details-container">
					<span class="pull-left"><?php echo $M_VIEW_DETAILS;?></span>
					<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
					<div class="clearfix"></div>
				</div>
			</a>
		</div>
	</div>
	<div class="col-lg-3 col-md-6">
		<div class="panel panel-info panel-green">
			<div class="panel-heading">
				<div class="row">
					<div class="col-xs-3">
						<span class="icon s7-users" style="font-size:64px"></span>
					</div>
					<div class="col-xs-9 text-right">
						<div class="huge"><?php echo $database->SQLCount("users","");?></div>
						<div><?php echo $M_USERS;?></div>
					</div>
				</div>
			</div>
			<a href="<?php echo CreateLink("users","users");?>">
				<div class="details-container">
					<span class="pull-left"><?php echo $M_VIEW_DETAILS;?></span>
					<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
					<div class="clearfix"></div>
				</div>
			</a>
		</div>
	</div>
	<div class="col-lg-3 col-md-6">
		<div class="panel panel-info panel-yellow">
			<div class="panel-heading">
				<div class="row">
					<div class="col-xs-3">
						<span class="icon s7-portfolio" style="font-size:64px"></span>
					</div>
					<div class="col-xs-9 text-right">
						<div class="huge"><?php echo $database->SQLCount("posts","");?></div>
						<div><?php echo $M_USER_NEWS;?></div>
					</div>
				</div>
			</div>
			<a href="<?php echo CreateLink("users","user_news");?>">
				<div class="details-container">
					<span class="pull-left"><?php echo $M_VIEW_DETAILS;?></span>
					<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
					<div class="clearfix"></div>
				</div>
			</a>
		</div>
	</div>
	<div class="col-lg-3 col-md-6">
		<div class="panel panel-info panel-red">
			<div class="panel-heading">
				<div class="row">
					<div class="col-xs-3">
						<span class="icon s7-note2" style="font-size:64px"></span>
					</div>
					<div class="col-xs-9 text-right">
						<div class="huge"><?php echo $database->SQLCount("statistics","");?></div>
						<div><?php echo $M_WEBSITE_VISITS;?></div>
					</div>
				</div>
			</div>
			<a href="<?php echo CreateLink("statistics","reports");?>">
				<div class="details-container">
					<span class="pull-left"><?php echo $M_VIEW_DETAILS;?></span>
					<span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
					<div class="clearfix"></div>
				</div>
			</a>
		</div>
	</div>
</div>



<div class="row">
<div class="col-lg-8">

	
<div class="panel panel-default">
	<div class="panel-heading gray-gradient">
		<span class="icon s7-graph3" style="font-size:20px;position:relative;top:3px"></span> 
		<?php echo $M_NEW_USER_STAT;?>
	</div>

	<div class="panel-body">
		<br/>
		<div class="flot-chart">
			<div class="flot-chart-content" id="flot-bar-chart"></div>
		</div>
	</div>
	
</div>

	
</div>
 
	 <div class="col-lg-4">
		<div class="panel panel-default">
			<div class="panel-heading gray-gradient">
				
				<span class="icon s7-credit" style="font-size:24px;position:relative;top:4px"></span> 
				
				<?php echo $M_NEW_BLOGS;?>
			</div>
			
			<div class="panel-body">
				<div class="list-group">
				<?php
				$users = $database->DataTable("users","ORDER BY id DESC LIMIT 0,7");
				
				while($job = $database->fetch_array($users))
				{
				?>
				
					<a href="index.php?category=users&action=users_edit&id=<?php echo $job["id"];?>" class="list-group-item">
					
						<i class="fa fa-list-alt"></i>
						
						<?php echo stripslashes($job["first_name"]." ".$job["last_name"]);?>
						
						<span class="pull-right text-muted small"><em><?php echo time_since($job["date"])." ".$M_AGO;?></em>
						</span>
						<div class="clearfix"></div>
					</a>
				<?php
				}
				?>
				</div>
				
				<a href="<?php echo $this->AdminLink("users","users");?>" class="btn btn-default btn-block"><?php echo $M_VIEW_ALL;?></a>
			</div>
		</div>
	</div>
	
</div>			

<script src="js/excanvas.min.js"></script>
<script src="js/jquery.flot.min.js"></script>
 
 <?php
 
 $arr_data=array();
 $k_sort_data=array();
 $flot_data="";
 


$tot_jobs=$database->Query
(
	"SELECT DATE_FORMAT(FROM_UNIXTIME(date),'%M %e') 
	AS for_date,
    COUNT(id) AS total_jobs, date
	FROM   ".$DBprefix."users
	GROUP BY DATE(FROM_UNIXTIME(date))
	ORDER BY date 
	LIMIT 0,7"
);
while($tot_job=$database->fetch_array($tot_jobs))
{
	if(trim($tot_job["for_date"])=="") continue;
	
	 $arr_data[$tot_job["for_date"]][1]=$tot_job["total_jobs"];
	 
	 $arr_data[$tot_job["for_date"]]["date"]=$tot_job["date"];
	// $k_sort_data[$tot_job["date"]]=$tot_job["for_date"]; 
}



$tot_jobs=$database->Query
(
	"SELECT DATE_FORMAT(FROM_UNIXTIME(date),'%M %e') 
	AS for_date,
    COUNT(id) AS total_jobs, date
	FROM   ".$DBprefix."posts
	GROUP BY DATE(FROM_UNIXTIME(date))
	ORDER BY date 
	LIMIT 0,7"
);

while($tot_job=$database->fetch_array($tot_jobs))
{
	if(trim($tot_job["for_date"])=="") continue;
	
	$arr_data[$tot_job["for_date"]][2]=$tot_job["total_jobs"];
	$arr_data[$tot_job["for_date"]]["date"]=$tot_job["date"];
}


$str_data_1="";
$str_data_2="";
$str_data_3="";
$str_ticks="";
$i_step=0;
$max_value=0;

function DateSort($a, $b) 
{
    return $a["date"] - $b["date"];
}

uasort($arr_data, 'DateSort');

foreach($arr_data as $key=>$data)
{
	if($str_data_1!="") $str_data_1.=",";
	if($str_data_2!="") $str_data_2.=",";
	if($str_data_3!="") $str_data_3.=",";
	if($str_ticks!="") $str_ticks.=",";
	
	$str_ticks.='['.$i_step.', "'.$key.'"]';
	
	if(isset($data[0]))
	{
		$str_data_1.='['.($i_step+0).', '.$data[0].']';
		if($data[0]>$max_value) $max_value=$data[0];
	}
	else
	{
		$str_data_1.='['.($i_step+0).', "0"]';
	}
	
	if(isset($data[1]))
	{
		$str_data_2.='['.($i_step+1).', '.$data[1].']';
		if($data[1]>$max_value) $max_value=$data[1];
	}
	else
	{
		$str_data_2.='['.($i_step+1).', "0"]';
	}
	
	if(isset($data[2]))
	{
		$str_data_3.='['.($i_step+2).', '.$data[2].']';
		if($data[2]>$max_value) $max_value=$data[2];
	}
	else
	{
		$str_data_3.='['.($i_step+2).', "0"]';
	}
	
	$i_step+=4;
}


function y_ceiling($number, $significance = 1)
{
    return ( is_numeric($number) && is_numeric($significance) ) ? (ceil($number/$significance)*$significance) : false;
}



$max_y=ceil($max_value/5)*5;
$y_top=y_ceiling($max_y,5);
$y_step=$y_top/5;
$y_ticks="";
for($i=0;$i<=5;$i++)
{
	$y_value=$i*$y_step;
	if($y_ticks!="") $y_ticks.=",";
	$y_ticks.='['.$y_value.', "'.$y_value.'"]';
}

?>

<script type="text/javascript">
$(function () {    
    var data1 = [
      
    ];
    var data2 = [
        <?php echo $str_data_2;?>
    ];
	var data3 = [
       <?php echo $str_data_3;?>
    ];
	
	var ticks = [
       <?php echo $str_ticks;?>
    ];
	
	var y_ticks = [
       <?php echo $y_ticks;?>
    ];
 
    var data = [{
        label: "<?php echo $M_NEW_BLOGS;?>",
        data: data2,
        bars:
		{
		  barWidth: 0.8,
          show:true
        }
    },{
        label: "<?php echo $M_USER_NEWS;?>",
        data: data3,
        bars:
		{
		  barWidth: 0.8,
          show:true
        }
    }];
 
    var options = {
            xaxis: {
                ticks: ticks
            },
			yaxis: {
                ticks: y_ticks
            },
            grid:{
                backgroundColor: {colors: ["#969696", "#5C5C5C"] }
            }
    };
 
    var plot = $.plot($("#flot-bar-chart"), data, options);  
});
</script>
 

<div class="clearfix"></div>


<div class="row">

<div class="col-lg-12">
 <div class="panel panel-default">
	<div class="panel-heading gray-gradient">
		<span class="icon s7-portfolio" style="font-size:20px;position:relative;top:3px"></span> 
		<?php echo $M_LATEST_NEWS;?>
	</div>

	<div style="padding:10px" class="btn-block">
	<div class="xpanel-body">
		<div class="table-responsive">
			<table class="table table-hover">
				<thead>
					<tr>
						<th><?php echo $DATE_MESSAGE;?></th>
						
						<th><?php echo $M_IMAGE;?></th>
						<th><?php echo $M_TITLE;?></th>
						<th><?php echo $M_CONTENT;?></th>
						
						<th><?php echo $M_USERNAME;?></th>
					</tr>
				</thead>
					<tbody>
					<?php
					$posts=$database->DataTable("posts","ORDER BY id DESC LIMIT 0,5");
				  
					while($post=$database->fetch_array($posts))
					{
						$post_image='';
					  
						if(trim($post["images"],", ")!="")
						{
							$images=explode(",",$post["images"]);
							  
							if(file_exists("../thumbnails/".$images[0].".jpg"))
							{
								  $post_image="../thumbnails/".$images[0].".jpg"; 
							}
						}
						$post_edit_link="index.php?category=posts&folder=posts&page=edit&id=".$post["id"];
	
						
					?>
						<tr onclick="document.location.href='index.php?category=users&action=user_news_edit&id=<?php echo $post["id"];?>'" style="cursor: pointer">
							<td><?php echo time_since($post["date"])." ".$M_AGO;?></td>
							<td><img src="<?php echo $post_image;?>" style="width:120px" class="img-fluid shadow rounded-borders"/></td>
							<td><?php echo stripslashes($post["title"]);?></td>
							<td><?php echo $website->text_words(stripslashes(strip_tags($post["html"])),30);?></td>
							<td><?php echo stripslashes($post["username"]);?></td>
						</tr>
					<?php
					}
					?>
					</tbody>
			</table>
		</div>
		
	</div>
	
		<a href="<?php echo CreateLink("users","user_news");?>" class="btn btn-default btn-block"><?php echo $M_VIEW_ALL;?></a>
	</div>
	
</div>
</div>

</div>

		