<?php
if(!defined('IN_SCRIPT')) die("");
?>
 

<style>
td, th { 
   text-align: center; 
   border: 1px solid #ddd; 
   padding:2px 5px; 
   }

</style>
<link rel="stylesheet" href="css/chartist.css">
<link rel="stylesheet" href="css/chartist-plugin-tooltip.css">
<script src="js/chartist.js"></script>
<script src="js/chartist-plugin-tooltip.js"></script>


<div class="fright">

	<?php
	
	echo LinkTile
		 (
			"statistics",
			"reports-clear=all",
			$M_CLEAR,
			
			"junk"
		 );
		 
			
		?>
		
	
</div>

<?php
if(isset($_REQUEST["clear"])&&$_REQUEST["clear"]=="all")
{
	$database->Query("DELETE FROM ".$DBprefix."statistics");
}
?>

<div class="clear"></div>
<h3><?php echo $M_STATISTICS_REPORTS;?></h3>

<br/><br/>


<?php

$number_days=10;
$check_all=1;
$strServerName=$_SERVER["SERVER_NAME"];

$arrStatValues	= array();
$arrStatValues2	= array();

$str_days="";
$str_values="";
$str_values_u="";
$str_values_r="";
			

$all_visits = $database->Query
("
	select date,count(*) cnt
	from ".$DBprefix."statistics
	group by date
	ORDER BY id DESC
	limit 0,7
");	

while($visit_day = $database->fetch_array($all_visits))
{
	$arrStatValues[$visit_day["date"]]=$visit_day["cnt"];
	
	$day_items=explode(",",$visit_day["date"]);
	if($str_days!="") $str_days=",".$str_days; 
	$str_days="'".$day_items[0]."'".$str_days;
			
	if($str_values!="") $str_values=",".$str_values; 
	$str_values="{meta: '".$M_TOTAL_VISITS." ".$M_FOR." ".$visit_day["date"]."', value: ".(isset($visit_day["cnt"])&&$visit_day["cnt"]!=""?$visit_day["cnt"]:"0")."}".$str_values;
}

$reload_visits = $database->Query
("
	select date,count(*) cnt
	from ".$DBprefix."statistics
	where referer like '%".$strServerName."%'
	group by date
	ORDER BY id DESC
	limit 0,6
");	

while($visit_day = $database->fetch_array($reload_visits))
{
	$arrStatValues2[$visit_day["date"]]=$visit_day["cnt"];
	
	if($str_values_r!="") $str_values_r=",".$str_values_r; 
	$str_values_r="{meta: '".$M_RELOADS." ".$M_FOR." ".$visit_day["date"]."', value: ".(isset($visit_day["cnt"])&&$visit_day["cnt"]!=""?$visit_day["cnt"]:"0")."}".$str_values_r;
	
	if($str_values_u!="") $str_values_u=",".$str_values_u; 
	$str_values_u="{meta: '".$M_UNIQUE_VISITS." ".$M_FOR." ".$visit_day["date"]."', value: ".(isset($arrStatValues[$visit_day["date"]])&&isset($visit_day["cnt"])&&$visit_day["cnt"]!=""&&$arrStatValues[$visit_day["date"]]!=""?(intval($arrStatValues[$visit_day["date"]])-intval($visit_day["cnt"])):"0")."}".$str_values_u;
	
}


$iScale = 1;

$arrStatValues = array_reverse($arrStatValues, true);

$arrStatValues2 = array_reverse($arrStatValues2, true);


?>	


<table width="100%">
	
	<thead>
		<tr>
			<td></td>
			
			<?php
			foreach($arrStatValues as $key=>$value)
			{
				echo "<th scope=\"col\">".$key."</th>";
			}
			?>
		
		</tr>
	</thead>
	<tbody>
		<tr>
			<th scope="row"><?php echo $M_TOTAL_VISITS;?></th>
				<?php
				foreach($arrStatValues as $key=>$value)
				{
					echo "<td>".$value."</td>";
				}
				?>
		</tr>
		
		<tr>
			<th scope="row"><?php echo $M_UNIQUE_VISITS;?></th>
				<?php
				foreach($arrStatValues as $key=>$value)
				{
					if(isset($arrStatValues2[$key]))
					{
						$value = $value - $arrStatValues2[$key];
					}
					
					echo "<td>".$value."</td>";
				}
				?>
		</tr>
		
		<tr>
			<th scope="row"><?php echo $M_RELOADS;?></th>
				<?php
				foreach($arrStatValues as $key=>$value)
				{
					if(isset($arrStatValues2[$key]))
					{
						echo "<td>".$arrStatValues2[$key]."</td>";
					}
					else
					{
						echo "<td>0</td>";
					}
				}
				?>
		</tr>
	</tbody>
</table>

<br/><br/>

<div style="background:#fafafa;padding:10px;border-radius:3px"> 

	<h3><?php echo $M_VISITS_BY_DAY;?></h3>
	<div style="height:230px;" class="ct-chart ct-perfect-fourth"></div>
	
</div>
	

<style type="text/css">
.chartist-tooltip 
{
  position: relative;
}
</style>
<script>


$(document).ready(function () 
{
	
	var options = 
	{
	  labelInterpolationFnc: function(value) {
		return value[0]
	  },
		plugins: [
			Chartist.plugins.tooltip()
		  ]
	};

	var responsiveOptions = [
	  ['screen and (min-width: 640px)', {
		chartPadding: 30,
		labelOffset: 100,
		labelDirection: 'explode',
		labelInterpolationFnc: function(value) {
		  return value;
		}
	  }],
	  ['screen and (min-width: 1024px)', {
		labelOffset: 80,
		chartPadding: 20
	  }]
	];
	
	
	new Chartist.Line
	(
		'.ct-chart', 
		{

		  labels: [<?php echo $str_days;?>],
		  
		  series: [
			[<?php echo $str_values;?>],
			[<?php echo $str_values_r;?>],
			[<?php echo $str_values_u;?>]
		  ]
		}, 
		{
		  low: 0,
		
		    showPoint: true,

		 
		 
		 
			plugins: [
			Chartist.plugins.tooltip()
		  ]
		  
		  
		}
	).on('draw', function(event) 
	{
	
	});
	
	
	
	
	
});
</script>
	
	