<?php
if(!defined('IN_SCRIPT')) die("");
?>
<br/>
<h3>Edit the blog user templates</h3>

<script>

$(function(){
	var offsetX = 20;
	var offsetY = -200;
	$('a.hover').hover(function(e){	
		var href = $(this).attr('href');
		$('<img id="largeImage" src="' + href + '" alt="image" />')
			.css({'top':e.pageY + offsetY,'left':e.pageX + offsetX})
			.appendTo('body');
	}, function(){
		$('#largeImage').remove();
	});
	$('a.hover').mousemove(function(e){
		$('#largeImage').css({'top':e.pageY + offsetY,'left':e.pageX + offsetX});
	});
	$('a.hover').click(function(e){
		e.preventDefault();
	});
});

</script>

<?php

$dir = new DirectoryIterator("../user_templates");

$templates_found=array();

foreach ($dir as $fileinfo) 
{
	
	if($fileinfo->isDir()&&is_numeric($fileinfo->getFilename()))
	{
		$templates_found[]=$fileinfo->getFilename();
	}
}

asort($templates_found);

foreach($templates_found as $template_found)
{		
		$current_dir = "../user_templates/".$template_found;
		
		if(!file_exists($current_dir."/template.htm")&&!file_exists($current_dir."/template.html"))
		{
			continue;
		}
		
		$template_id = $template_found; 
		
		
		
		if(file_exists($current_dir."/preview.jpg"))
		{
			$preview_image = $current_dir."/preview.jpg";
		}
		else
		{
			$preview_image = "../images/no-preview.png";
		}
		?>
			<div style="position:relative;left:-15px;min-height:310px" class="no-left-padding pull-left text-center left-margin-20px">
				<br/><br/>
			
				<a class="btn btn-default" href="index.php?category=templates&action=user_templates_edit&tmpl=<?php echo $template_id;?>">
				<img src="<?php echo $preview_image;?>" width="260" /></a>
				
			<br/><br/>
				<a class="btn btn-default" href="index.php?category=templates&action=user_templates_edit&tmpl=<?php echo $template_id;?>">
				<?php echo $M_EDIT_THIS_TEMPLATE;?> 
				</a>
				
			</div>
		
		<?php
		
		
}

		
			
?>
<div class="clearfix"></div>
<br/>