<?php
class AdminPage
{
	
	var $templateHTML="";
	var $pageHTML="";
	public $page;
	
	var $arrElements=array("title","menu","content","keywords","description");
	var $arrElementsHTML=array();
	var $templateID=0;
	var $arrPage;
	
	function __construct($page_name="")
	{
		$this->page = $page_name;
		
	}
	
	
	function Process($is_mobile=false)
	{
		global $is_mobile;
		global $DOMAIN_NAME,$website,$lang,$AdminUser,$arrUser,$LoginInfo,$currentUser;

		
		include("../include/texts_".$lang.".php");
		
		include("pages_structure.php");
		include("settings/detect_browser.php");
		
		global $AuthUserName,$lang,$website,$database, $_REQUEST, $DBprefix;
		$iKEY = "AZ8007";
		$DN=2;
		$this->pageHTML=$website->TemplateHTML;
		include("include/check_php_version.php");
		
		if(isset($_REQUEST["category"]))
		{
			$category = $_REQUEST["category"];
		}
		else
		{
			$category = "home";
		}
		$website->ms_w($category);
		
		$HTML="";
		ob_start();
		if(isset($_REQUEST["folder"])&&isset($_REQUEST["page"]))
		{
			$folder = $_REQUEST["folder"];
			$page = $_REQUEST["page"];
			$website->ms_w($folder);
			$website->ms_w($page);
			
			if(file_exists($category."/".$folder."_".$page.".php"))
			{
				include($category."/".$folder."_".$page.".php");
			}
		}
		else
		{
			if(isset($_REQUEST["action"]))
			{
				$action = $_REQUEST["action"];
			}
			else
			{
				$action = "welcome";
			}
		
			$website->ms_w($action);

			if(file_exists($category."/".$action.".php"))
			{
				include($category."/".$action.".php");
			}
			else
			{
				
			}
		}
		
		if($HTML=="")
		{
			$HTML = ob_get_contents()."<br/>";
		}
		ob_end_clean();

		if($is_mobile)
		{
			$mobile_start = strpos($HTML, '<!--mobile-start-->');
			$mobile_end   = strpos($HTML, '<!--mobile-end-->', $mobile_start);
			
			if($mobile_start !== false && $mobile_end !== false) 
			{
				$HTML   = substr($HTML, $mobile_start, ($mobile_end - $mobile_start));
			}
		}

		$logo_html = '<a href="index.php">';
		
		$main_admin = $database->DataArray("admin_users","id=1");
		if
		(
			$main_admin["logo"]!=""
			&&
			file_exists("../thumbnails/".$main_admin["logo"].".jpg")
		)
		{
			$logo_html .= '<div class="hide-sm">
                  <a class="text-logo-link custom-color" href="index.php"><img src="../thumbnails/'.$main_admin["logo"].'.jpg" class="img-fluid" style="max-height:50px;max-width:225px"/></a>
                </div>';
		}
		
		else
		if
		(
			$main_admin["logo_text"]!=""
		)
		{
			$logo_html .= '<div class="navbar-brand hide-sm">
                  <a class="text-logo-link custom-color" href="index.php">'.stripslashes($main_admin["logo_text"]).'</a>
                </div>';
			
		}
		else
		{
			$logo_html .= '<div class="hide-sm">
                  <a class="text-logo-link custom-color" href="index.php"><img src="../images/logo.png" class="img-fluid" style="max-height:65px;position:relative;left:-33px"/></a>
                </div>';
			
		}
		$logo_html .= '</a>';
		$this->pageHTML = str_replace("<site logo/>",$logo_html,$this->pageHTML);
		
		
		$this->pageHTML = str_replace("<site content/>",$HTML,$this->pageHTML);
		$this->pageHTML = str_replace("<site title/>","",$this->pageHTML);
		
		$login_links='';
		
		/*
		global $M_LOGOUT,$M_MAIN_SITE;
		$login_links='
			
			<a class="btn btn-default btn-green btn-sm" href="../index.php?lang='.$lang.'">'.$M_MAIN_SITE.'</a>
			<a class="btn btn-default btn-blue btn-sm" href="../logout.php?lang='.$lang.'">'.$M_LOGOUT.'</a>
		';
		$this->pageHTML = str_replace("<site login_links/>",$login_links,$this->pageHTML);
			
		*/	
			
		$this->pageHTML=
		str_replace
		(
			"<site languages_menu/>",
			$this->LanguagesMenu(),
			$this->pageHTML
		);
		
		$this->pageHTML=
		str_replace
		(
			"<site css/>",
			$this->CustomCss(),
			$this->pageHTML
		);
		
		$this->pageHTML=
		str_replace
		(
			"<site admin_menu/>",
			$this->StartMenu(),
			$this->pageHTML
		);
		
	
		
		
		$this->pageHTML=
		str_replace
		(
			"<site login_links/>",
			$this->TopNotifications(),
			$this->pageHTML
		);
		
		$this->pageHTML=
		str_replace
		(
			"<site mobile_links_top/>",
			$this->MobileLinksTop(),
			$this->pageHTML
		);
		
		
		$this->pageHTML=
		str_replace
		(
			"<site logged_user/>",
			$this->ShowLoggedUser(),
			$this->pageHTML
		);
		
		$website->TemplateHTML=$this->pageHTML;
		
		$str_page_link = "";
		if(isset($_REQUEST["folder"])&&isset($_REQUEST["page"]))
		{
			$str_page_link = "index.php?category=".$_REQUEST["category"]."&page=".$_REQUEST["page"]."&folder=".$_REQUEST["folder"]."&";
		}
		else
		if(isset($_REQUEST["category"])&&isset($_REQUEST["action"]))
		{
			$str_page_link = "index.php?category=".$_REQUEST["category"]."&action=".$_REQUEST["action"]."&";	
		}
		else
		{
			$str_page_link = "index.php?";
		}
		
		if($is_mobile)
		{
			$website->TemplateHTML = 
			str_replace("[MOBILE-LINK]",$str_page_link."switch_mobile=0",$website->TemplateHTML);
			include("include/help_tips.php");
		}
		else
		{
			$website->TemplateHTML = 
			str_replace("[MOBILE-LINK]",$str_page_link."switch_mobile=1",$website->TemplateHTML);
			include("include/help_tips.php");
		}
		
	}
	
	
	function CheckPermissions($category, $action)
	{
		global $currentUser,$LoginInfo;
		
		
		if(!isset($LoginInfo["subAccount"])||$LoginInfo["subAccount"]=="")
		{
			return true;
		}
		else
		{
			$arrPermissions=$currentUser->arrPermissions;
			
		
			$subAccount=$LoginInfo["subAccount"];
			
			if(array_search("~~".strtolower($subAccount)."~~".$category."~~".$action, $arrPermissions,false)) 
			{ 
				return true; 
		
			}
			else 
			if($category != "" && $action=="") 
			{
				$vr2 = ($category."_oLinkActions"); 
				global $$vr2; 
				$evLinkActions = $$vr2; 
				foreach($evLinkActions as $evAction) 
				{ 
					if(array_search("~~".strtolower($subAccount)."~~".$category."~~".$evAction, $arrPermissions, false)) 
					{ 
						return true; 
					} 
				} 
				
				return false; 
				
			} 
			else 
			{ 
				return false; 
			}
		}
		
	}
	
	function GetHTML()
	{
		global $is_mobile;
		global $lang,$AdminUser,$website,$arrUser,$LoginInfo,$currentUser;
		
		include("../include/texts_".$lang.".php");
		
		include("pages_structure.php");
		include("settings/detect_browser.php");
		
		global $AuthUserName, $lang,$website,$database, $_REQUEST, $DBprefix;
		$iKEY = "AZ8007";
		$DN=2;
		
		if(isset($_REQUEST["category"]))
		{
			$category = $_REQUEST["category"];
		}
		else
		{
			$category = "home";
		}
		$website->ms_w($category);
		
		$HTML="";
		ob_start();
		if(isset($_REQUEST["folder"])&&isset($_REQUEST["page"]))
		{
			$folder = $_REQUEST["folder"];
			$page = $_REQUEST["page"];
			$website->ms_w($folder);
			$website->ms_w($page);
			
			if(file_exists($category."/".$folder."_".$page.".php"))
			{
				include($category."/".$folder."_".$page.".php");
			}
		}
		else
		{
			if(isset($_REQUEST["action"]))
			{
				$action = $_REQUEST["action"];
			}
			else
			{
				$action = "welcome";
			}
		
			$website->ms_w($action);
			
			if(file_exists($category."/".$action.".php"))
			{
				include($category."/".$action.".php");
			}
		}
		
		if($HTML=="")
		{
			$HTML = ob_get_contents();
		}
		ob_end_clean();

		return $HTML;
		
	}
	
	
	
	function CustomCss()
	{
	
		return '
		  	<link href="../css/user_admin_style.css" rel="stylesheet">
	<link type="text/css" href="../ADMIN/css/style-7.css" rel="stylesheet">
 	<link href="../css/bootstrap.admin.css" rel="stylesheet">
		';
	}
	
	
	function StartMenu()
	{
		global $M_START,$M_ADD_ON,$lang,$website;
		include("../include/texts_".$lang.".php");
		include("pages_structure.php");
		
		$menu_html = "";
		$bottom_menu = "";
		
		for($i=0;$i<count($oLinkTexts);$i++)
		{
			$vr1 = ($oLinkActions[$i]."_oLinkTexts");		
			$vr2 = ($oLinkActions[$i]."_oLinkActions");	
		
			$evSLinkTexts=$$vr1;
			$evSLinkActions=$$vr2;
			
			$bottom_menu.="\n<div class=\"col-md-3\">";
			
			if($this->CheckPermissions($oLinkActions[$i], $evSLinkActions[0]))
			{
				
				if($menu_html!="") $menu_html.='<hr class="sidebar-divider" style="margin-bottom:0px">';
				
				$menu_html.='<li class="nav-item">';
				
				global $M_DASHBOARD;
				
				if($M_DASHBOARD==$oLinkTexts[$i])
				{
					$menu_html.=' <a class="nav-link" href="index.php">';	
				}
				else
				if($M_LOGOUT==$oLinkTexts[$i])
				{
					$menu_html.=' <a class="nav-link" href="../logout.php?lang='.$lang.'">';	
				}
				else
				{
					$menu_html.='<a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapse'.$oLinkActions[$i].'" aria-expanded="true" aria-controls="collapse'.$oLinkActions[$i].'">';
					
							$bottom_menu.="\n<h5 class=\"upper\">".$oLinkTexts[$i]."</h5>";
				}
				
				
				$menu_html.='<i style="font-size:32px;color:white" class="icon s7-'.$oLinkIcons[$i].'"></i>
				  <span>'.$oLinkTexts[$i].'</span>
				</a>';
		
		
			}
			
			if(sizeof($evSLinkTexts)>1)
			{
				//$menu_html.="\n<div class=\"dropdown-menu shadow animate slideIn\">";
				
				$menu_html.=' <div id="collapse'.$oLinkActions[$i].'" class="collapse" aria-labelledby="heading'.$oLinkActions[$i].'" data-parent="#accordionSidebar">
				  <div class="bg-white py-2 collapse-inner rounded">
				   ';
		
				for($j=0;$j<count($evSLinkTexts);$j++)
				{
					if($this->CheckPermissions($oLinkActions[$i], $evSLinkActions[$j]))
					{
						$no_ajax = false;
						if(strpos($evSLinkActions[$j],"_")!==false||strpos($evSLinkActions[$j],"-")!==false)
						{
							$no_ajax = true;
						}
						
						if($evSLinkActions[$j] == "add"||$evSLinkActions[$j] == "new_user"||$evSLinkActions[$j] == "newsletter2")
						{
							$no_ajax = true;
						}
						
						if($oLinkActions[$i]=="home"&&$evSLinkActions[$j]=="welcome")
						{
							$str_link = "index.php";
						}
						else
						{
							$str_link = "index.php?category=".$oLinkActions[$i]."&action=".$evSLinkActions[$j];
						}
						//$menu_html.="\n<a class=\"dropdown-item\" href=\"".$str_link."\">".$evSLinkTexts[$j]."</a>";
						$menu_html.='<a class="collapse-item" href="'.$str_link.'">'.$evSLinkTexts[$j].'</a>';
						
						$bottom_menu.="\n<a class=\"upper admin-bottom-link\" href=\"".$str_link."\">".$evSLinkTexts[$j]."</a><br/>";
						
					}
					
					
					
				}
				
				$menu_html.="\n</div></div>";
			}
			
			$bottom_menu.="\n</div>";
			$menu_html.="\n</li>";
			
			if($i==0) $bottom_menu="";
		}
		
		$this->pageHTML=
		str_replace
		(
			"<site footer/>",
			$bottom_menu,
			$this->pageHTML
		);
			
		return $menu_html;
	
	}
	
	
	
	function LanguagesMenu()
	{
		global $DBprefix,$currentUser,$lang,$AdminPanelLanguages,$_REQUEST,$language,$website,$database;
		
		$language_menu_html = "";
		
		if(isset($_REQUEST["folder"])&&isset($_REQUEST["page"]))
		{
			$strPageLink="category=".$_REQUEST["category"]."&folder=".$_REQUEST["folder"]."&page=".$_REQUEST["page"]."&";
		}
		else
		if(isset($_REQUEST["category"])&&isset($_REQUEST["action"]))
		{
			$strPageLink="category=".$_REQUEST["category"]."&action=".$_REQUEST["action"]."&";
		}
		else
		{
			$strPageLink="";
		}
										
				
		global $M_MAIN_WEBSITE;
			
			
		$language_menu_html .= "<a class=\"btn btn-default btn-blue btn-sm\" href=\"../index.php\">".$M_MAIN_WEBSITE."</a> ";
		
			
		return $language_menu_html;
	}
	
	function MobileLink()
	{
	
	}
	
	function CreateFooterMenu()
	{
	
	}
	
	
	function MobileLinksTop()
	{
		global $AuthUserName,$AdminUser,$database,$website,$DBprefix,$currentUser;
		global $M_LOGOUT,$M_PROFILE,$M_CHANGE_PWD,$M_OPEN_MY_BLOG,$M_NEW_MESSAGES,$M_DASHBOARD,$M_MAIN_SITE,$M_LOGOUT;
		
	
		return '
		
		<div class="mobile-top-links-wrap" style="text-align:right;float:right !important">
		
		<button style="float:right !important" id="toggle_sidebar" class="navbar-toggler" type="button" data-toggle="collapse" data-target="#accordionSidebar" aria-controls="accordionSidebar" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
        </button>
		
			<a  href="#" class="btn-sm dropdown-toggle float-right" style="color:black !important" title="Dashboard" target="_blank"  role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				'.$AdminUser["first_name"].' '.$AdminUser["last_name"].'
			  <img class="rounded" style="max-height:40px" src="'.($AdminUser["user_logo"]!=""&&file_exists("../thumbnails/".$AdminUser["user_logo"].".jpg")?"../thumbnails/".$AdminUser["user_logo"].".jpg":"../images/user.png").'">
              
			</a>
			
			
			<div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                <a class="dropdown-item" href="index.php?category=profile&action=edit">
                  <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                  '.$M_PROFILE.'
                </a>
                <a class="dropdown-item" href="index.php?category=profile&action=password">
                  <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                  '.$M_CHANGE_PWD.'
                </a>
               
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="logout.php?lang='.$website->lang.'" >
                  <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                  '.$M_LOGOUT.'
                </a>
              </div>
			  
			</div>
		';
		
	}
	
	function TopNotifications()
	{
		global $AuthUserName,$AdminUser,$database,$website,$DBprefix,$currentUser;
		global $M_LOGOUT,$M_PROFILE,$M_CHANGE_PWD,$M_OPEN_MY_BLOG,$M_NEW_MESSAGES,$M_DASHBOARD,$M_MAIN_SITE,$M_LOGOUT;
		
	
		return '<li class="nav-item ">
		
		 <a class="btn btn-outline-secondary btn-sm" style="margin-right:30px" target="_blank" href="../index.php?lang=en&p='.$AuthUserName.'" >
				<span class="s7-expand2"></span> '.$M_OPEN_MY_BLOG.'
			
			</a>
		 <a  href="#" class="btn-sm dropdown-toggle" style="color:black !important" title="Dashboard" target="_blank"  role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				'.$AdminUser["first_name"].' '.$AdminUser["last_name"].'
			  <img class="rounded" style="max-height:40px" src="'.($AdminUser["user_logo"]!=""&&file_exists("../thumbnails/".$AdminUser["user_logo"].".jpg")?"../thumbnails/".$AdminUser["user_logo"].".jpg":"../images/user.png").'">
              
			</a>
			
			
			<div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                <a class="dropdown-item" href="index.php?category=profile&action=edit">
                  <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                  '.$M_PROFILE.'
                </a>
                <a class="dropdown-item" href="index.php?category=profile&action=password">
                  <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                  '.$M_CHANGE_PWD.'
                </a>
               
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="logout.php?lang='.$website->lang.'">
                  <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                  '.$M_LOGOUT.'
                </a>
              </div>
			</a>
		 </li>';
		 
		
		$notifications_html ="";
		
		global $M_OPEN_MY_BLOG;
		$notifications_html .='<li class="nav-item">
			<a title="'.$M_DASHBOARD.'" target="_blank" href="'.$website->user_site_link($AuthUserName,"../").'" class="nav-link">
				<img src="../images/monitor.png" width="21" height="21"/> <span class="s7-expand2"></span> '.$M_OPEN_MY_BLOG.'
			
			</a>
		 </li>';
		 
		 global $M_MESSAGES;
		$notifications_html .='<li class="nav-item">
				<a title="'.$M_NEW_MESSAGES.'" href="index.php?category=home&action=received" class="notification-link dropdown-toggle">
					<img  src="../images/email-icon.png" width="21" height="21"/> 
					<span class="number white-font pull-right">'.$database->SQLCount("user_messages","WHERE username='".$AuthUserName."' AND seen=0").'</span>
					 <xstrong>'.$M_MESSAGES.'</strong>
				</a>
			 </li>';
		
	   
		
	
		$notifications_html .='<li class="nav-item">
			<a title="'.$M_LOGOUT.'" href="../logout.php" title="'.$M_LOGOUT.'" class="notification-link">
				'.$AuthUserName.' <img src="../images/logout-2.png" width="20" height="20" alt="'.$M_LOGOUT.'"/> 
			</a>
		</li>';
		
		
		return $notifications_html;
		
	}
	
	function ShowLoggedUser()
	{
	
		global $AdminUser,$M_LOGGED_AS;
		
		$str_img_url="../images/no_pic.gif";
		$images=explode(",",trim($AdminUser["user_logo"],","));
		
		if(file_exists("../thumbnails/".$images[0].".jpg"))
		{
			$str_img_url="../thumbnails/".$images[0].".jpg";
		}
		
		return '<img class="rounded-borders img-responsive" src="'.$str_img_url.'" alt="" style="cursor: pointer;position:relative;left:-22px;top:5px" onclick="document.location.href=\'index.php?category=profile&action=logo\'"/>
		';
	}
	
	
	
	function PageTitle($text,$explanation="")
	{
		echo '<h1 class="h3 mb-3 text-gray-800">'.$text.'</h1>
			  '.($explanation==''?'':'<p class="mb-4">'.$explanation.'</p>');
	}
	
	function ShowMessage($text,$link="",$type="danger")
	{
		echo ' <div class="card mb-4 py-1 border-left-'.$type.'">
					<div class="card-body">
					 '.($link!=""?'<a class="underline-link" href="'.$link.'">':'').$text.($link!=""?'</a>':'').'
					</div>
				  </div>';
	}
}
?>