<?php
class Page
{
	
	var $templateHTML="";
	var $pageHTML="";
	public $page;
	
	var $arrElements=array("title","content","keywords","description");
	var $arrElementsHTML=array();
	var $templateID=0;
	var $arrPage;
	
	function __construct($page_name)
	{
		$this->page = $page_name;
	}
	
	function LoadPageData()
	{
		global $lang,$database,$website;
		
		
		if($this->page == "")
		{
			$this->page = $website->DefaultPage;
		}
		
		$url_items=explode("_",urldecode($this->page),2);
	
		if(sizeof($url_items)==2)
		{
			list($current_lang,$link)=explode("_",urldecode($this->page),2);
		}
		else
		{
			$link=urldecode($this->page);
		}
			
		if(isset($current_lang)&&strlen($current_lang)==2) $lang=$current_lang;else $lang=$website->lang;

		if(trim($lang)!="" && strlen($lang)==2)
		{
			$website->SetLanguage($lang);
		}
		
		if($website->user!="")
		{
	
			$this->arrPage=$database->DataArray("user_pages","username='".$website->user."' AND link_".$lang."='".$database->escape_string($link)."'");
		}
		else
		{
			$this->arrPage=$database->DataArray("pages","url_".$lang."='".$database->escape_string($this->page)."'");
			
			if(!isset($this->arrPage["id"]))
			{
				$this->arrPage=$database->DataArray("pages","link_".$lang."='".$database->escape_string($link)."'");
			}
		}
		
		if(!isset($this->arrPage["name_".$lang]))
		{
			
		}
			
		$this->arrElementsHTML["title"]=stripslashes($this->arrPage["name_".$lang]);
		$this->arrElementsHTML["keywords"]=stripslashes($this->arrPage["keywords_".$lang]);
		$this->arrElementsHTML["description"]=stripslashes($this->arrPage["description_".$lang]);
		if(trim($this->arrPage["custom_link_".$website->lang])!="")
		{
			$this->arrElementsHTML["content"]=str_replace("../uploaded_images/","uploaded_images/",stripslashes($this->arrPage["html_".$lang]));
		}
		else
		{
			$this->arrElementsHTML["content"]='<div class="container page-wrap">'.str_replace("../uploaded_images/","uploaded_images/",stripslashes($this->arrPage["html_".$lang])).'</div>';
		}
		$this->templateID = $this->arrPage["template_id"];
	}
	
	function Process()
	{
		
		global $UID,$MULTI_LANGUAGE_SITE,$website,$database,$DBprefix,$_POST,$DOMAIN_NAME;
				
		$this->pageHTML=$website->TemplateHTML;
		
		if(trim($this->arrPage["custom_link_".$website->lang])!="")
		{
			
			$HTML="";
			ob_start();
			if(file_exists("include/texts_".$website->lang.".php"))
			{
				include("include/texts_".$website->lang.".php");
			}
			if(file_exists("extensions/".$this->arrPage["custom_link_".$website->lang].".php"))
			{
				include("extensions/".$this->arrPage["custom_link_".$website->lang].".php");
			
			}
			
			if($HTML=="")
			{
				$HTML = ob_get_contents();
			}
			ob_end_clean();
			
			$this->arrElementsHTML["content"] .= 
			
			$HTML;
		}
		
		foreach($this->arrElements as $element)
		{
		
			if(isset($this->arrElementsHTML[$element]))
			{
				$this->pageHTML=str_replace
				(
					"<site ".$element."/>",
					$this->arrElementsHTML[$element],
					$this->pageHTML
				);
			}
		}		
		
		
		$this->pageHTML=str_replace("../image.php?id=","image.php?id=",$this->pageHTML);
		
		$lang_menu_pos = strpos($this->pageHTML, "<site languages_menu/>");
		
		if($MULTI_LANGUAGE_SITE && $lang_menu_pos !== false)
		{
			$this->pageHTML=
			str_replace
			(
				"<site languages_menu/>",
				$website->LanguagesMenu($this->arrPage["id"]),
				$this->pageHTML
			);
		}
			
		
		$website->TemplateHTML=$this->pageHTML;
			
		
	}
	
	
	
}
?>
