<?php
require("config.php");
if(!$DEBUG_MODE) error_reporting(0);
require("include/SiteManager.class.php");
include("include/Database.class.php");

if(!isset($_GET["user"]))
{
	die("The user is not set!");
}

$website = new SiteManager();
$database = new Database();

/// Connect to the website database
$database->Connect($DBHost, $DBUser,$DBPass );
$database->SelectDB($DBName);
$website->SetDatabase($database);
$website->LoadSettings();
include("include/texts_".$website->lang.".php");
$user=$_GET["user"];
$website->ms_ew($user);
	
$page_size = 10;
$page_number = 1;

if(isset($_REQUEST["page_size"]))
{
	$page_size = $_REQUEST["page_size"];
	$website->ms_i($page_size);
}	

if(isset($_REQUEST["page_number"]))
{
	$page_number = $_REQUEST["page_number"];
	$website->ms_i($page_number);
}	
	
	
$tablePosts=$database->DataTable("posts","WHERE username='".$user."' ORDER BY id DESC");


echo "<?xml version=\"1.0\" ?>";
echo "<rss version=\"2.0\">";
echo "<channel>\n";
$strSiteLink=$website->user_site_link($user);			
echo "<title>".$strSiteLink."</title>\n";
echo "<link>".$strSiteLink."</link>\n";
echo "<description> </description>\n";

while($listing = $database->fetch_array($tablePosts))
{
	$strLink = $website->post_link($listing["id"],$listing["title"],$user);
		
	echo "<item>\n";
	echo "<title>".stripslashes(strip_tags($listing["title"]))."</title>\n";
	echo "<description>".$website->text_words(stripslashes(strip_tags($listing["html"])),30)."</description>\n";
	echo "<link>".$strLink."</link>\n";
	echo "<guid>".$strLink."</guid>\n";
	
	echo "</item>\n";
}

echo "</channel>\n";	
echo "</rss>\n";

?>

