<br/>
<h6 style="color:black">
<?php echo $M_YOU_CURRENTLY_HAVE;?> 
<strong class="custom-color" style="font-size:20px"><?php echo $AdminUser["visits"];?></strong> 
<?php echo $M_VISITS_TOTAL_SINCE;?>:   
<?php echo date($website->GetParam("DATE_FORMAT"),$AdminUser["date"]);?> 
</h6>
<br/>
<h5 style="color:black"><?php echo $M_VISIT_STAT;?></h5>
<?php
if($database->SQLCount("user_statistics","WHERE username='".$AuthUserName."'")==0)
{
	echo "<br/><i>".$M_STILL_NO_VISITS."</i>";
}
else
{
?>
<div class="card shadow mb-4">
	
	<div class="card-body">
	  <div class="chart-bar">
		<canvas id="BlogVisitsChart"></canvas>
	  </div>
	</div>
  </div>
<?php
}
?>

<?php
$last_days_visits=$database->DataTable("user_statistics","WHERE username='".$AuthUserName."' ORDER BY id  limit 0,15");

$visit_labels="";
$visit_data="";
$max_visits_value=0;

while($day_visits = $database->fetch_array($last_days_visits))
{
	if($visit_labels!="") $visit_labels.=",";
	if($visit_data!="") $visit_data.=",";
	
	$visit_labels.='"'.$day_visits["date"].'"';
	$visit_data.=$day_visits["visits"];
	
	if($day_visits["visits"]>$max_visits_value)
	{
		$max_visits_value=$day_visits["visits"];
	}
}
?>

<script src="js/chart.js"></script>
<script>
Chart.defaults.global.defaultFontFamily = 'Nunito', '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
Chart.defaults.global.defaultFontColor = '#858796';

function number_format(number, decimals, dec_point, thousands_sep) {

  number = (number + '').replace(',', '').replace(' ', '');
  var n = !isFinite(+number) ? 0 : +number,
    prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
    sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
    dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
    s = '',
    toFixedFix = function(n, prec) {
      var k = Math.pow(10, prec);
      return '' + Math.round(n * k) / k;
    };

  s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
  if (s[0].length > 3) {
    s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
  }
  if ((s[1] || '').length < prec) {
    s[1] = s[1] || '';
    s[1] += new Array(prec - s[1].length + 1).join('0');
  }
  return s.join(dec);
}


var ctx = document.getElementById("BlogVisitsChart");
var BlogVisitsChart = new Chart(ctx, {
  type: 'bar',
  data: {
    labels: [<?php echo $visit_labels;?>],
    datasets: [{
      label: "<?php echo $M_BLOG_VISITS;?>",
      backgroundColor: "#<?php if($website->color_code!="") echo $website->color_code;else echo "4e73df";?>",
      hoverBackgroundColor: "#<?php if($website->color_code_light!="") echo $website->color_code_light;else echo "2e59d9";?>",
      borderColor: "#4e73df",
      data: [<?php echo $visit_data;?>],
    }],
  },
  options: {
    maintainAspectRatio: false,
    layout: {
      padding: {
        left: 10,
        right: 25,
        top: 25,
        bottom: 0
      }
    },
    scales: {
      xAxes: [{
        time: {
          unit: 'month'
        },
        gridLines: {
          display: false,
          drawBorder: false
        },
        ticks: {
          maxTicksLimit: 6
        },
        maxBarThickness: 25,
      }],
      yAxes: [{
        ticks: {
          min: 0,
          max: <?php echo $max_visits_value;?>,
          maxTicksLimit: 5,
          padding: 10,
       
          callback: function(value, index, values) {
            return number_format(value);
          }
        },
        gridLines: {
          color: "rgb(234, 236, 244)",
          zeroLineColor: "rgb(234, 236, 244)",
          drawBorder: false,
          borderDash: [2],
          zeroLineBorderDash: [2]
        }
      }],
    },
    legend: {
      display: false
    },
    tooltips: {
      titleMarginBottom: 10,
      titleFontColor: '#6e707e',
      titleFontSize: 14,
      backgroundColor: "rgb(255,255,255)",
      bodyFontColor: "#858796",
      borderColor: '#dddfeb',
      borderWidth: 1,
      xPadding: 15,
      yPadding: 15,
      displayColors: false,
      caretPadding: 10,
      callbacks: {
        label: function(tooltipItem, chart) {
          var datasetLabel = chart.datasets[tooltipItem.datasetIndex].label || '';
          return datasetLabel + ': ' + number_format(tooltipItem.yLabel);
        }
      }
    },
  }
});

</script>

<br/>

<h5 style="color:black"><?php echo $M_BLOG_REFERRALS;?></h5>

<?php

if(isset($_REQUEST["Delete"])&&isset($_REQUEST["CheckList"]))
{
	$database->SQLDeletePlus("username",$AuthUserName,"user_referrals","id",$_REQUEST["CheckList"]);
}
?>
<?php
$website->params["empty_text"]=$M_STILL_NO_VISITS_REFERRALS;
$_REQUEST["arrTDSizes"]=array("40","*","150","100");

RenderTable
(
	"user_referrals",
	array("date","referer","page","host"),
	array($M_DATE,$M_REFERRAL,$M_PAGE,$IP_MESSAGE),
	700,
	"WHERE username='".$AuthUserName."' AND referer<>'' AND page<>'' ",
	$M_DELETE,
	"id",
	"index.php",
	false,
	20,
	false,
	-1,
	"ORDER BY id DESC"
);
?>