<?php
require_once 'include/Facebook/autoload.php';

use Facebook\Facebook;
use Facebook\Exceptions\FacebookResponseException;
use Facebook\Exceptions\FacebookSDKException;

$appId         = $website->GetParam("FACEBOOK_KEY"); //Facebook App ID
$appSecret     = $website->GetParam("FACEBOOK_SECRET"); //Facebook App Secret
$redirectURL   = 'https://'.$DOMAIN_NAME.'/index.php?mod=login-facebook'; //Callback URL
$fbPermissions = array('email');  



$fb = new Facebook(array(
    'app_id' => $appId,
    'app_secret' => $appSecret,
    'default_graph_version' => 'v2.2',
));


$helper = $fb->getRedirectLoginHelper();
global $DEBUG_MODE;

try {
    if(isset($_SESSION['facebook_access_token']))
	{
        $accessToken = $_SESSION['facebook_access_token'];
    }else
	{
         $accessToken = $helper->getAccessToken();
    }
} catch(FacebookResponseException $e) 
{
	if($DEBUG_MODE)
	{
		echo 'Graph returned an error: ' . $e->getMessage();
	}
      exit;
} catch(FacebookSDKException $e) 
{
	if($DEBUG_MODE)
	{
		echo 'Facebook SDK returned an error: ' . $e->getMessage();
	}
    exit;
}









if(isset($accessToken)){
    if(isset($_SESSION['facebook_access_token']))
	{
        $fb->setDefaultAccessToken($_SESSION['facebook_access_token']);
    }else{
       
        $_SESSION['facebook_access_token'] = (string) $accessToken;
        
      
        $oAuth2Client = $fb->getOAuth2Client();
        
        $longLivedAccessToken = $oAuth2Client->getLongLivedAccessToken($_SESSION['facebook_access_token']);
        $_SESSION['facebook_access_token'] = (string) $longLivedAccessToken;
        
      
        $fb->setDefaultAccessToken($_SESSION['facebook_access_token']);
    }
    


   if(isset($_GET['code']))
   {
     
	   echo '<script>document.location.href="'.$redirectURL.'";</script>';
    }
    
  
    try 
	{
        $profileRequest = $fb->get('/me?fields=name,first_name,last_name,email,gender');
        $user_profile = $fbUserProfile = $profileRequest->getGraphNode()->asArray();
    } 
	catch(FacebookResponseException $e) 
	{
		if($DEBUG_MODE)
		{
			echo '2Graph returned an error: ' . $e->getMessage();
        }
    } 
	catch(FacebookSDKException $e) 
	{
		if($DEBUG_MODE)
		{
			echo 'Facebook SDK returned an error: ' . $e->getMessage();
		}
        exit;
    }
  
	$uid = $fbUserProfile['id'];
	
	///jp user code
	
	
	
	 $username = $user_profile['name'];
		$uid = $user_profile['id'];
		$email = $user_profile['email'];
        
		
		if($database->SQLCount("users","WHERE facebook=".$uid)==0)
		{
			$username=$website->format_str($user_profile['first_name'].$user_profile['last_name']);
			$password=rand_string(8);
			
			$arrSelectedPackage = $database->DataArray("packages","active=1 ORDER BY price");
			
			$database->SQLInsert
			(
				"users",
				array
				(	
					"facebook",
					"plan",
					"adv",
					"date",
					"username",
					"password",
					"blog_title",
					"first_name",
					"last_name",
					"email",
					"newsletter"
				),
				array
				(
					$user_profile["id"],
					$arrSelectedPackage["id"],
					$arrSelectedPackage["adv"],
					time(),
					$username,
					md5($password),
					($user_profile['first_name']." ".$user_profile['lastname_name']."'s blog"),
					$user_profile["first_name"],
					$user_profile["last_name"],
					
					$user_profile["email"], 
				
					(isset($_POST["newsletter"])?"1":"0") 
				)
			);

			$database->SQLInsert
			(
				"user_settings",
				array("username"),
				array($username)
			);
		
		}
		else
		{
		
			$arrUser=$database->DataArray("users","facebook=".$uid);
			
			$username=$arrUser["username"];
			$password=$arrUser["password"];
			
		}
		
		
		if(!isset($do_not_show_submit))
		{

		?>
		
			<form id="login_form" style="display:none" class="no-margin" action="loginaction.php" method="post">
			<input type="hidden" name="Email" value="<?php echo $username;?>"/>
			<?php
			if($MULTI_LANGUAGE_SITE)
			{
			?>
			<input type="hidden" name="lng" value="<?php echo $website->lang;?>"/>
			<?php
			}
			?>
			<input type="hidden" name="Password" value="<?php echo $password;?>"/>
			</form>
			<script>
			document.getElementById("login_form").submit();
			</script>

		<?php
		}	
	
	///end jp user code
    
    
}
else
{
   
    $loginURL = $helper->getLoginUrl($redirectURL, $fbPermissions);
    

	echo '<script>document.location.href="'.$loginURL.'";</script>';
   
}
$website->Title("Facebook Login");
?>