<?php
function get_param($param_name)
{ 
	global $_POST; global $_GET; 
	$param_value = ""; 
	if(isset($_POST[$param_name])) $param_value = $_POST[$param_name]; 
	else if(isset($_GET[$param_name])) $param_value = $_GET[$param_name]; 
	
	if(is_array($param_value)) 
		return $param_value;
	else 
		return str_escape(stripslashes($param_value));
}

function str_escape($value)
{
    $search = array("\x00", "\\", "'", "\"", "\x1a");
    $replace = array("\\x00", "\\\\" ,"\'", "\\\"", "\\\x1a");

    return str_replace($search, $replace, $value);
}

function CreateUrl($strUrl, $merchant = "")
{
	global $website;
	
	$strUrlPrefix  = "";
	
	if(get_param("p") != "")
	{
		$strUrlPrefix = get_param("p")."-";
	}
	else
	{
		if($merchant!="")
		{
			$strUrlPrefix = $merchant."-";
		}
	}
	
	if(true)	
	{
		$strUrlPrefix = "http://".$website->domain."/".$strUrlPrefix;
	}
	
	if(!$website->GetParam("SEO_URLS"))	
	{
		if($merchant!="")
		{
			return $strUrl."&p=".$merchant;
		}
		else
		if(get_param("p") != "")	
		{
			return $strUrl."&p=".get_param("p");
		}
		else
		{
			return $strUrl;
		}
	}
	else
	{
		if(strstr($strUrl,"index.php?mod=products&cat="))
		{
			$arrItems = explode("cat=",$strUrl);
			global $products_category_name;
			return $strUrlPrefix."category/".$arrItems[1]."/".urlencode(str_replace("/","-",$products_category_name)).".html";
		}
		else
		if(strstr($strUrl,"index.php?mod=products&id="))
		{
			$arrItems = explode("id=",$strUrl);
			global $product_name;
			$display_product_name = preg_replace('/[^[ a-zA-Z0-9]]*/','',$product_name);
			$display_product_name = str_replace("  "," ",$display_product_name);
			$display_product_name = str_replace(" ","-",$display_product_name);
			return $strUrlPrefix."product/".$arrItems[1]."/".urlencode(str_replace("/","-",$display_product_name)).".html";
		}
		else
		if(strstr($strUrl,"index.php?mod=cart&quantity=1&action=add&id="))
		{
			$arrItems = explode("id=",$strUrl);
			
			return $strUrlPrefix."cart_".$arrItems[1].".html";
		}
	
		
	}
	
	return "";
	
}


function text_words($string, $wordsreturned)
{
      $retval = $string;    
	$array = explode(" ", $string);
  
       if (count($array)<=$wordsreturned)
	{
		$retval = $string;
	}
	else
	{
		array_splice($array, $wordsreturned);
		$retval = implode(" ", $array)." ...";
	}
		return $retval;
 }
 
 
 function GetCSymbol()
{
	return "$";
	global $currencies;
	foreach($currencies as $arr_currency)
	{
		if(strtolower(trim($currency_code)) == strtolower(trim($arr_currency[0])))
		{
		
			return $arr_currency[2];
		}
	}
	return $currency_code;
}

function show_stars($vote)
{
	global $website;
	
	$result = "<div>";
	
	for($x=0;$x<floor($vote);$x++)
	{
		$result .= "<img src=\"".($website->GetParam("USE_ABSOLUTE_URLS")?"http://www.".$DOMAIN_NAME."/":"")."images/full-star.gif\" width=\"13\" height=\"12\" style=\"float:left\">";
	}
	
	for($c=0;$c<ceil(fmod($vote, 1) );$c++)
	{
		$result .= "<img src=\"".($website->GetParam("USE_ABSOLUTE_URLS")?"http://www.".$DOMAIN_NAME."/":"")."images/half-star.gif\" width=\"13\" height=\"12\" style=\"float:left\">";
	}
	
	for($v=($c+$x);$v<5;$v++)
	{
		$result .= "<img src=\"".($website->GetParam("USE_ABSOLUTE_URLS")?"http://www.".$DOMAIN_NAME."/":"")."images/empty-star.gif\" width=\"13\" height=\"12\" style=\"float:left\">";
	}

	$result .= "</div>";
	
	return $result;
}



function format_str($strTitle)
{
		$strSEPage = "";
		$strTitle=strtolower(trim($strTitle));
		$arrSigns = array("~", "!", "@", "#", "$", "%", "^", "&", "*", "(", ")", "+", "-", ",",".","/", "?", ":","<",">","[","]","{","}","|");
		$strTitle = str_replace($arrSigns, "", $strTitle);
		
		$arrWords = explode(" ",$strTitle);
		
		$iWCounter = 1;
		
		foreach($arrWords as $strWord)
		{
			if($strWord == "")
			{
				continue;
			}
			
			if($iWCounter == 7)
			{
				break;
			}
			
			if($iWCounter != 1)
			{
				$strSEPage .= "-";
			}
			
			$strSEPage .= $strWord;
			
			$iWCounter++;	
		}
		
		return $strSEPage;
}


function LinkFormat($strUrl)
{
	global $website;
	
	if($website->user == "")
	{
		if(!$website->GetParam("USE_ABSOLUTE_URLS"))
		{
			return $strUrl;
		}
		else
		{
			return "http://www.".$DOMAIN_NAME."/".$strUrl;
		}
	}
	else
	{
		if(!$website->GetParam("USE_ABSOLUTE_URLS"))
		{
			if($website->GetParam("SEO_URLS"))
			{
				return $website->user."/".$strUrl;
			}
			else
			{
				if(substr($strUrl, strlen($strUrl)-3, 3) == "php")
				{
					return $strUrl."?p=".$website->user;
				}
				else
				{
					return $strUrl."&p=".$website->user;
				}
			}
		}
		else
		{
		
				if(substr($strUrl, strlen($strUrl)-3, 3) == "php")
				{
					return "http://www.".$DOMAIN_NAME."/".$strUrl."?p=".$website->user;
				}
				else
				{
					return "http://www.".$DOMAIN_NAME."/".$strUrl."&p=".$website->user;
				}
			
		}
	}
}

function rand_string($length, $charset='ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789')
{
    $str = '';
    $count = strlen($charset);
    while ($length--) {
        $str .= $charset[mt_rand(0, $count-1)];
    }
    return $str;
}

function get_file_extension($file_name)
{
  return substr(strrchr($file_name,'.'),1);
}
?>