<?php
// Jobs Portal
// https://www.netartmedia.net/jobsportal
// Copyright (c) All Rights Reserved NetArt Media
// Find out more about our products and services on:
// http://www.netartmedia.net
?><?php
if(!defined('IN_SCRIPT')) die("");


if(function_exists('resize'))  
{ 

}
else
{
	function resize($im, $dst_width, $dst_height) {
		$width = imagesx($im);
		$height = imagesy($im);

		$newImg = imagecreatetruecolor($dst_width, $dst_height);

		$white = imagecolorallocate($newImg,  255, 255, 255);
		imagefill($newImg,0,0,$white);
		 
		imagecopyresampled($newImg, $im, 0, 0, 0, 0, $dst_width, $dst_height, $width, $height);

		return $newImg;
	}
}

if(isset($_POST["list_images"])&&$_POST["list_images"]!="")
{
	$list_files=explode(",",$_POST["list_images"]);
	for($i=0;$i<sizeof($list_files);++$i)
	{
		$file_name=(isset($path)?$path:"")."uploads/".$list_files[$i];
		if(!file_exists($file_name)) continue;
		
		$size	= getimagesize($file_name);
		$file_ext = pathinfo($file_name, PATHINFO_EXTENSION);
		
		
		$mime_type="image/jpg";
		if(strtolower($file_ext)=="gif") $mime_type="image/gif";
		else
		if(strtolower($file_ext)=="png") $mime_type="image/png";
		
		
		$files[]=array
		(
			'name'    =>$file_name,
			'type'  => "",
			'tmp_name'=>$file_name,
			'mime' => $mime_type, 
			'size'  => getimagesize($file_name) 
		);
	}
}
else
if(!isset($_FILES[isset($input_field)?$input_field:'images']))
{

}
else
if(isset($_FILES))
{
    
	$files=array();
	$fdata=$_FILES[isset($input_field)?$input_field:'images'];
	
	
	if(is_array($fdata['name']))
	{
		for($i=0;$i<count($fdata['name']);++$i)
		{
			if(trim($fdata['name'][$i])==""||trim($fdata['tmp_name'][$i])=="") continue;
			
			$size	= getimagesize($fdata['tmp_name'][$i]);
			$mime	= $size['mime'];
			
			if (substr($mime, 0, 6) != 'image/') continue;


			$files[]=array
			(
				'name'    =>$fdata['name'][$i],
				'type'  => $fdata['type'][$i],
				'tmp_name'=>$fdata['tmp_name'][$i],
				'mime' => $mime, 
				'size'  => $fdata['size'][$i]  
			);
		}
	}else $files[]=$fdata;
}

if(isset($files))
{
    
   
	$is_first_image = true;
	
	foreach ($files as $file) 
	{ 
	
		if(trim($file['tmp_name'])=="") continue;
                
                $file_ext="jpg";
                
		if($file['type']=="image/gif" || $file['type']=="image/png") 
                    $file_ext="png";
                
		$arrChars = array("A","F","B","C","O","Q","W","E","R","T","Z","X","C","V","N");
							
		$random_file_name = 
			$arrChars[rand(0,(sizeof($arrChars)-1))].$arrChars[rand(0,(sizeof($arrChars)-1))].rand(200,100000000).
			$arrChars[rand(0,(sizeof($arrChars)-1))].$arrChars[rand(0,(sizeof($arrChars)-1))].rand(200,100000000);
			
		$save_file_name = (isset($path)?$path:"")."uploaded_images/".$random_file_name.".jpg";
	
		$uploaded_file = $file['tmp_name'];
		
		if($uploaded_file == "") continue;
	
		list($width, $height) = getimagesize($uploaded_file) ; 

		if($width < 800)
		{
			$modwidth = $width;
		}
		else
		{
			$modwidth = 800; 
		}
		
		
		$diff =  $modwidth / $width;
		
		$modheight = $height * $diff; 
		
		
		$mime_type = "";
		
		if(isset($file['mime'])&&trim($file['mime'])!="")
		{
			$mime_type = $file['mime'];
		}
	
		if(isset($file['type'])&&trim($file['type'])!="")
		{
			$mime_type = $file['type'];
		}
	
		switch ($mime_type)
		{
			case 'image/gif':
				$creationFunction	= 'ImageCreateFromGif';
				$outputFunction		= 'ImagePng';
				$mime			= 'image/png'; 
			break;
			
			case 'image/x-png':
			case 'image/png':
				$creationFunction	= 'ImageCreateFromPng';
				$outputFunction		= 'ImagePng';
			break;
			
			default:
				$creationFunction	= 'ImageCreateFromJpeg';
				$outputFunction	 	= 'ImageJpeg';
			
			break;
		}
                
		$image	= $creationFunction($uploaded_file);
                
                $tn = resize($image, $modwidth, $modheight);
                
                imagejpeg($tn, $save_file_name,95);
                
		//thumbnails generation
		if($width < 500)
		{
			$thumb_width = $width;
		}
		else
		{
			$thumb_width = 500; 
		}
		$thumb_diff = $thumb_width / $width;
		$thumb_height = $height * $thumb_diff;

		$thumb = resize($image, $thumb_width, $thumb_height);
		$thumb_save_file_name = (isset($path)?$path:"")."thumbnails/" .$random_file_name.".jpg";
		imagejpeg($thumb, $thumb_save_file_name,95) ; 
		imagedestroy($image);
		imagedestroy($thumb);
		//end thumbnails generation
		
		if($str_images_list!="")
		{
			$str_images_list.=",";
		}
		
		$str_images_list.=$random_file_name;
		
		$is_first_image = false;
	}
}


if(isset($_POST["list_images"])&&trim($_POST["list_images"])!="")
{
	$list_files=explode(",",$_POST["list_images"]);
	for($i=0;$i<sizeof($list_files);++$i)
	{
		$file_name=(isset($path)?$path:"")."uploads/".$list_files[$i];
		if(!file_exists($file_name)) continue;
		unlink($file_name);
	}
}


?>